XML formatter for PDO results.

This class reprsents the output of a query using a simple XML schema.

<results> <row> value value2 </row> <row> value value2 </row> </results>

The actual names of the colums will depend on the fetchmode that was used with PDO.

author | Hans Lellelid
package | phing.tasks.ext.pdo
since | 2.3.0

### Methods

## Write XML to file and free the DOM objects.

    close()

## Gets the output writer.

    getOutput() : \Writer

Inherited

inherited_from | \PDOResultFormatter::getOutput()

### Returns

`\Writer`

## Gets a preferred filename for an output file.

    getPreferredOutfile() : string

If no filename is specified, this is where the results will be placed (unless usefile=false).

### Returns

`string`

## Perform any initialization.

    initialize()

## Processes a specific row from PDO result set.

    processRow(array $row)

### Parameters

#### $row

`array`

Row of PDO result set.

## Set the DOM document encoding.

    setEncoding(string $v)

### Parameters

#### $v

`string`

## setFormatOutput()

    setFormatOutput(boolean $v)

### Parameters

#### $v

`boolean`

## Sets the output writer.

    setOutput(\Writer $out)

Inherited

inherited_from | \PDOResultFormatter::setOutput()

### Parameters

#### $out

`\Writer`

### Properties

##

    $out : \Writer

Inherited

inherited_from | \PDOResultFormatter::$$out

##

    $doc : \DOMDocument

##

    $encoding : string

##

    $formatOutput : boolean

##

    $rootNode : \DOMElement